/*****************************************************************************
 * ROMAPI_Boot_Time_Measurment.h
 *****************************************************************************/

#ifndef __ROMAPI_BOOT_TIME_MEASURMENT_H__
#define __ROMAPI_BOOT_TIME_MEASURMENT_H__

/* Add your custom header content here */

//#define CASE1 /*XSPI Master Boot, ECDSA 224, Blp*/
#ifdef CASE1
#define XSPI_MASTER
#define ECDSA256
#define KEY_SIZE 64
#define Blp
#endif

//#define CASE2 /*XSPI Master Boot, ECDSA 224, Blx*/
#ifdef CASE2
#define XSPI_MASTER
#define ECDSA256
#define KEY_SIZE 64
#define Blx
#endif

//#define CASE3 /*XSPI Master Boot, ECDSA 224, Blw*/
#ifdef CASE3
#define XSPI_MASTER
#define ECDSA256
#define KEY_SIZE 64
#define Blw
#endif

//#define CASE4 /*SPI Master Boot, ECDSA 256, Blp*/
#ifdef CASE4
#define SPI_MASTER
#define ECDSA256
#define KEY_SIZE 64
#define Blp
#endif

//#define CASE5 /*SPI Master Boot, ECDSA 256, Blx*/
#ifdef CASE5
#define SPI_MASTER
#define ECDSA256
#define KEY_SIZE 64
#define Blx
#endif

//#define CASE6 /*SPI Master Boot, ECDSA 256, Blw*/
#ifdef CASE6
#define SPI_MASTER
#define ECDSA256
#define KEY_SIZE 64
#define Blw
#endif

//#define CASE7 /*LP Slave Boot, ECDSA 256, Blp*/
#ifdef CASE7
#define LP_SLAVE
#define ECDSA256
#define KEY_SIZE 64
#define Blp
#endif

//#define CASE8 /*LP Slave  Boot, ECDSA 256, Blx*/
#ifdef CASE8
#define LP_SLAVE
#define ECDSA256
#define KEY_SIZE 64
#define Blx
#endif

//#define CASE9 /*LP Slave  Boot, ECDSA 256, Blw*/
#ifdef CASE9
#define LP_SLAVE
#define ECDSA256
#define KEY_SIZE 64
#define Blw
#endif

//#define CASE10 /*UART Slave Boot, ECDSA 256, Blp*/
#ifdef CASE10
#define UART_SLAVE
#define ECDSA256
#define KEY_SIZE 64
#define Blp
#endif

//#define CASE11 /*UART Slave Boot, ECDSA 256, Blx*/
#ifdef CASE11
#define UART_SLAVE
#define ECDSA256
#define KEY_SIZE 64
#define Blx
#endif

//#define CASE12 /*UART Slave Boot, ECDSA 256, Blw*/
#ifdef CASE12
#define UART_SLAVE
#define ECDSA256
#define KEY_SIZE 64
#define Blw
#endif

//#define CASE13 /*XSPI Master Normal Boot*/
#ifdef CASE13
#define XSPI_MASTER
#endif

//#define CASE14 /*SPI Master Normal Boot*/
#ifdef CASE14
#define SPI_MASTER
#endif

//#define CASE15 /*UART Slave Normal Boot*/
#ifdef CASE15
#define UART_SLAVE
#endif

//#define CASE16 /*LP Slave Normal Boot*/
#ifdef CASE16
#define LP_SLAVE
#endif


#endif /* __ROMAPI_BOOT_TIME_MEASURMENT_H__ */
