/*
 **
 ** Source file generated on May 5, 2023 at 20:44:36.	
 **
 ** Copyright (C) 2011-2023 Analog Devices Inc., All Rights Reserved.
 **
 ** This file is generated automatically based upon the options selected in 
 ** the Pin Multiplexing configuration editor. Changes to the Pin Multiplexing
 ** configuration should be made by changing the appropriate options rather
 ** than editing this file.
 **
 ** Selected Peripherals
 ** --------------------
 ** TWI1 (SCL, SDA)
 **
 ** GPIO (unavailable)
 ** ------------------
 ** PB00, PB01
 */

#include <sys/platform.h>
#include <stdint.h>

#define TWI1_SCL_PORTB_MUX  ((uint16_t) ((uint16_t) 1<<0))
#define TWI1_SDA_PORTB_MUX  ((uint16_t) ((uint16_t) 1<<2))

#define TWI1_SCL_PORTB_FER  ((uint16_t) ((uint16_t) 1<<0))
#define TWI1_SDA_PORTB_FER  ((uint16_t) ((uint16_t) 1<<1))

int32_t adi_initpinmux(void);

/*
 * Initialize the Port Control MUX and FER Registers
 */
int32_t adi_initpinmux(void) {
    /* PORTx_MUX registers */
    *pREG_PORTB_MUX = TWI1_SCL_PORTB_MUX | TWI1_SDA_PORTB_MUX;

    /* PORTx_FER registers */
    *pREG_PORTB_FER = TWI1_SCL_PORTB_FER | TWI1_SDA_PORTB_FER;
    return 0;
}

